Description

User history

In Jira, it is possible to insert an image in the body of a comment (or wiki) in a reduced size. If you need to increase it, then you need

to click and it will become large in lightbox.

This is very convenient when the description is very large (for example, a wiki). It is inconvenient to return to the attachments.

The size of the images can be very large. For example, I can take a screenshot from 2 monitors (they record the place, time,

changes).

I tried this plugin. It does as it should in attachments, and it is also necessary in the comments.

 Screenshot_1.jpg 

History

#1 - 2021-08-25 17:38 - Igor M

- Copied from Feature #12404: User can view limited attached docs as per the defined duration by administartor. added

#2 - 2021-08-25 17:39 - Igor M

Sorry, delete the linked task

#3 - 2021-08-25 17:57 - Igor M

- Status changed from New to Resolved

https://www.redmine.org/projects/redmine/wiki/RedmineTextFormattingTextile#Macros - I finally found a solution!!!

#4 - 2021-08-25 19:20 - Mischa The Evil

- Copied from deleted (Feature #12404: User can view limited attached docs as per the defined duration by administartor.)

#5 - 2021-08-25 19:30 - Mischa The Evil

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for the feedback. I'll close this issue as requested because the functionality is provided by the thumbnail macro as stated by Igor.

#6 - 2021-08-26 09:55 - Igor M

It would be good, if this was the default function.

I have been looking for a very long time how to use it.

This plugin https://www.redmine.org/plugins/redmine_lightbox2 did not give a full implementation. But you can finish this 

https://www.redmine.org/plugins/clipboard_image_paste or similar.

Thank you all!

#7 - 2021-08-26 11:39 - Mischa The Evil

Igor M wrote:
https://www.redmine.org/projects/redmine/wiki/RedmineTextFormattingTextile#Macros
https://www.redmine.org/plugins/redmine_lightbox2
https://www.redmine.org/plugins/clipboard_image_paste


[...]

This plugin https://www.redmine.org/plugins/redmine_lightbox2 did not give a full implementation. But you can finish this 

https://www.redmine.org/plugins/clipboard_image_paste or similar.

FWIW: several of the features of these plugins, besides the thumbnail macro feature, are already integrated into the Redmine core by now:

Image files can be dragged onto the text area in order to be uploaded and embedded (introduced via #3957 in Redmine 2.3.0);

Markup is automatically generated for uploaded images dropped into wiki-edit textarea (introduced via #26071 in Redmine 3.4.0);

Images in your computer's clipboard can be pasted directly using Ctrl-v or Command-v (introduced via #3816 in Redmine 4.1.0).
